struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dale Newfield <d...@newfield.org>
Subject Re: Struts 2.1.7 Vote
Date Tue, 23 Jun 2009 14:42:54 GMT
Al Sutton wrote:
> ** Out of date jars (newer versions may have bug fixes which would be useful) **
> 
> commons-io-1.3.2 (There is a 1.4, but I'm not sure of API compatibility).

http://commons.apache.org/io/upgradeto1_4.html says:

> Compatibility with 1.3.2
> ------------------------
> Binary compatible - Yes
> 
> Source compatible - Yes
> 
> Semantic compatible - Yes
>   Check the bug fixes section for semantic bug fixes
> 
> Commons IO 1.4 introduces four new implementations which depend on JDK 1.4 features
> (CharSequenceReader, FileWriterWithEncoding, IOExceptionWithCause and RegexFileFilter).
> It has been built with the JDK source and target options set to JDK 1.3 and, except for
> those implementations, can be used with JDK 1.3 (see IO IO-127).

So while I've not yet tested it, it sounds like we should be able to 
jump to 1.4 if we're moving at all.

-Dale

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@struts.apache.org
For additional commands, e-mail: dev-help@struts.apache.org


Mime
View raw message